<?xml version="1.0" encoding="UTF-8"?>

<project xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance" xmlns="http://maven.apache.org/POM/4.0.0"
         xsi:schemaLocation="http://maven.apache.org/POM/4.0.0 http://maven.apache.org/xsd/maven-4.0.0.xsd">
    <modelVersion>4.0.0</modelVersion>
    <parent>
        <groupId>com.lutao</groupId>
        <artifactId>cloud-consume</artifactId>
        <version>1.0.0</version>
    </parent>

    <artifactId>cloud-consume-biz</artifactId>
    <packaging>jar</packaging>

    <description>处理数据</description>

    <dependencies>
        <!-- LindormTSDB-->
        <dependency>
            <groupId>com.aliyun.lindorm</groupId>
            <artifactId>lindorm-all-client</artifactId>
            <version>2.1.7</version>
        </dependency>
        <dependency>
            <groupId>com.aliyun.lindorm</groupId>
            <artifactId>lindorm-tsdb-client</artifactId>
            <version>1.0.5</version>
            <exclusions>
                <exclusion>
                    <groupId>com.google.code.gson</groupId>
                    <artifactId>gson</artifactId>
                </exclusion>
            </exclusions>
        </dependency>

        <dependency>
            <groupId>com.lutao</groupId>
            <artifactId>cloud-common-entity</artifactId>
            <version>1.0.0</version>
        </dependency>
        <!--upms api、model 模块-->
        <dependency>
            <groupId>com.lutao</groupId>
            <artifactId>cloud-consume-api</artifactId>
            <version>1.0.0</version>
        </dependency>
        <!--日志处理-->
        <dependency>
            <groupId>com.lutao</groupId>
            <artifactId>cloud-common-log</artifactId>
            <version>1.0.0</version>
        </dependency>
        <dependency>
            <groupId>com.lutao</groupId>
            <artifactId>cloud-common-data</artifactId>
            <version>1.0.0</version>
        </dependency>
        <!--swagger-->
        <dependency>
            <groupId>com.lutao</groupId>
            <artifactId>cloud-common-swagger</artifactId>
            <version>1.0.0</version>
        </dependency>

        <!--随机数-->
        <dependency>
            <groupId>it.unimi.dsi</groupId>
            <artifactId>dsiutils</artifactId>
            <version>2.6.17</version>
        </dependency>
        <dependency>
            <groupId>org.apache.commons</groupId>
            <artifactId>commons-text</artifactId>
            <version>1.10.0</version>
        </dependency>
        <!--注册中心客户端-->
        <dependency>
            <groupId>com.alibaba.cloud</groupId>
            <artifactId>spring-cloud-starter-alibaba-nacos-discovery</artifactId>
            <version>2.2.2.RELEASE</version>
            <exclusions>
                <exclusion>
                    <groupId>org.springframework.cloud</groupId>
                    <artifactId>spring-cloud-starter-netflix-ribbon</artifactId>
                </exclusion>
            </exclusions>
        </dependency>
        <!-- LB 扩展 -->
        <dependency>
            <groupId>org.springframework.cloud</groupId>
            <artifactId>spring-cloud-starter-loadbalancer</artifactId>
            <version>3.0.4</version>
        </dependency>
        <!--配置中心客户端-->
        <dependency>
            <groupId>com.alibaba.cloud</groupId>
            <artifactId>spring-cloud-starter-alibaba-nacos-config</artifactId>
            <version>2.2.2.RELEASE</version>
        </dependency>
        <!--spring security 、oauth、jwt依赖-->
        <dependency>
            <groupId>com.lutao</groupId>
            <artifactId>cloud-common-security</artifactId>
            <version>1.0.0</version>
        </dependency>
        <!--XSS 安全过滤-->
        <dependency>
            <groupId>com.lutao</groupId>
            <artifactId>cloud-common-xss</artifactId>
            <version>1.0.0</version>
        </dependency>
        <!--		<dependency>-->
        <!--			<groupId>com.github.whvcse</groupId>-->
        <!--			<artifactId>easy-captcha</artifactId>-->
        <!--			<version>1.6.2</version>-->
        <!--		</dependency>-->
        <!--支持动态路由配置 -->
        <dependency>
            <groupId>com.lutao</groupId>
            <artifactId>cloud-common-gateway</artifactId>
            <version>1.0.0</version>
        </dependency>
        <!--sentinel 依赖-->
        <!--		<dependency>-->
        <!--			<groupId>com.lutao</groupId>-->
        <!--			<artifactId>cloud-common-sentinel</artifactId>-->
        <!--		</dependency>-->
        <!--路由控制-->
        <dependency>
            <groupId>com.lutao</groupId>
            <artifactId>cloud-common-gray</artifactId>
            <version>1.0.0</version>
        </dependency>
        <!--mybatis-->
        <dependency>
            <groupId>com.baomidou</groupId>
            <artifactId>mybatis-plus-boot-starter</artifactId>
            <version>3.4.3</version>
        </dependency>
        <!-- druid 连接池 -->
        <dependency>
            <groupId>com.alibaba</groupId>
            <artifactId>druid-spring-boot-starter</artifactId>
            <version>1.2.8</version>
        </dependency>
        <!--数据库-->
        <dependency>
            <groupId>mysql</groupId>
            <artifactId>mysql-connector-java</artifactId>
        </dependency>
        <!--web 模块-->
        <dependency>
            <groupId>org.springframework.boot</groupId>
            <artifactId>spring-boot-starter-web</artifactId>
            <version>2.5.6</version>
        </dependency>
        <!--undertow容器-->
        <dependency>
            <groupId>org.springframework.boot</groupId>
            <artifactId>spring-boot-starter-undertow</artifactId>
            <version>2.5.6</version>
        </dependency>

        <!--集成logstash-->
        <dependency>
            <groupId>net.logstash.logback</groupId>
            <artifactId>logstash-logback-encoder</artifactId>
            <version>5.3</version>
        </dependency>
        <dependency>
            <groupId>org.springframework.boot</groupId>
            <artifactId>spring-boot-configuration-processor</artifactId>
            <optional>true</optional>
        </dependency>
        <dependency>
            <groupId>org.springframework</groupId>
            <artifactId>spring-tx</artifactId>
        </dependency>
        <!--kafka -->
        <dependency>
            <groupId>org.springframework.kafka</groupId>
            <artifactId>spring-kafka</artifactId>
        </dependency>
        <dependency>
            <groupId>org.apache.kafka</groupId>
            <artifactId>kafka-clients</artifactId>
            <version>3.4.0</version>
        </dependency>

        <!--        <dependency>-->
<!--            <groupId>org.mariadb.jdbc</groupId>-->
<!--            <artifactId>mariadb-java-client</artifactId>-->
<!--            <version>3.1.4</version>-->
<!--            <scope>runtime</scope>-->
<!--        </dependency>-->
        <dependency>
            <groupId>org.springframework.boot</groupId>
            <artifactId>spring-boot</artifactId>
        </dependency>
        <!--        <dependency>-->
        <!--            <groupId>com.lutao</groupId>-->
        <!--            <artifactId>cloud-mqtt-spring-boot-starter</artifactId>-->
        <!--            <version>1.0.0</version>-->
        <!--        </dependency>-->
        <!--		<dependency>-->
        <!--			<groupId>net.dreamlu</groupId>-->
        <!--			<artifactId>mica-mqtt-client-spring-boot-starter</artifactId>-->
        <!--			<version>2.2.1</version>-->
        <!--		</dependency>-->
    </dependencies>

    <build>
        <plugins>
            <plugin>
                <groupId>org.springframework.boot</groupId>
                <artifactId>spring-boot-maven-plugin</artifactId>
            </plugin>
            <plugin>
                <groupId>io.fabric8</groupId>
                <artifactId>docker-maven-plugin</artifactId>
                <configuration>
                    <skip>false</skip>
                </configuration>
            </plugin>
        </plugins>
    </build>

</project>